setTimeout(function(){

    var proc = function(selector, cb) {
        var i = 0, es = document.querySelectorAll(selector), l = es.length;
        for (; i < l; i++) {
            cb(es[i]);
        }
    }
 
 
	proc(
		'body',
		function(e) {
			 e.innerHTML = e.innerHTML
				//.replace(/https:\/\/storage.cihai.com.cn/g, '')
				//.replace(/https:\/\/www.cihai.com.cn/g, '')
				.replace(/src=""/g, '')    //空图片
				.replace(/(<div class="video">.*<\/div>)(<div class="main">.*<\/div>)/, '$2$1')    //视频位置
				.replace(/<span class="Relative_list">\s*<\/span>/g, '');   //空组词
		}
	);

	proc(
		'definition', 
		function(e) {
			 e.innerHTML = e.innerHTML
				.replace(/⸍/g, '’')   //【卫】
				.replace(/(<sup>.*)(<pinyin>[^<]*<\/pinyin>)/, '$2<br />$1')   //拼音位置【丑】
				.replace(/(<tradition>.*)(<pinyin>[^<]*<\/pinyin>)/, '$2<br />$1')   //拼音位置【数】
				.replace(/(<variantion>.*)(<pinyin>[^<]*<\/pinyin>)/, '$2<br />$1')   //拼音位置【劫】
				.replace(/<sup>([\u3280-\u3289])<\/sup>/g, '</citation></sense><b>$1</b>')  //未闭合【胡 并 历 范 苻 厅事】!MDict PC
				.replace(/<sensenum>\s*<\/sensenum>/g, '')     //空序号【九】【庸】【文】
				.replace(/<sensenum>（(\d*)）<\/sensenum>/g, '<sensenum>$1<\/sensenum>')     //序号【尼德兰】
				.replace(/<sensenum>(\d*),(\d*)<\/sensenum>/g, '<sensenum>$1<\/sensenum><sensenum>$2<\/sensenum>')     //序号【崔】【李】!
				.replace(/<sensenum>([^\d].*?)<\/sensenum>/g, '$1')     //空序号【辰星】
				.replace(/<sensenum>([^\d].*?)<\/sensenum>/g, '$1')     //空序号【权】!MDict PC
				.replace(/<sense id="[^"]*"/, '<sense')    //去除唯一解释项前多余的序号 【宋】【方丈】
				.replace(/<sense (.*<sense id="\d")/, '<sense id="1" $1');
		}
	);

	//点击字头显示源流、书法
	if (document.getElementsByClassName("wordsource")[0] || document.getElementsByClassName("handwriting")[0]) {
		var title = document.getElementsByClassName("main_headword")[0];
		var w1 =  document.getElementsByClassName("wordsource")[0];
		var w2 =  document.getElementsByClassName("handwriting")[0];
		title.addEventListener('click',showWord,false);
		function showWord () {
			if (w1.style.display!="block") {
				w1.style.display="block";
				w2.style.display="block";
			} else {
				w1.style.display="none";
				w2.style.display="none";
			}
		}
	}

	//数学公式、化学方程式等图片缩放
	proc(
		'img',
		function(e) {
			var nscale = e.getAttribute('scale');
			if (nscale > 0) {
				e.style.maxHeight= nscale+"rem";
			}
		}
	)

	//手机发音byAmacent
	//proc(
	//	'.audio>a',
	//	function (e) {
	//		if ((e.hasAttribute('onclick') && !e.hasAttribute('href')) || (e.hasAttribute('onclick') && e.hasAttribute('href'))) {
	//			return;
	//		}
	//		const pronLocation = e.href;
	//		e.removeAttribute('href');
	//		e.setAttribute("onclick", "var that = this;var b = setTimeout(function() { that.style.outline = ''; }, 2000);with(new Audio('" + pronLocation + "')) { onloadstart = b; onended = b; play();};");
	//		e.style.cursor = 'pointer';
	//	}
	//);

}, 0);

